Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 793254 - dev-go/go-license-detector-4.3.0 version bump and new upstream
Summary: dev-go/go-license-detector-4.3.0 version bump and new upstream
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All All
: Normal normal with 1 vote (vote)
Assignee: William Hubbs
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-05-31 18:54 UTC by Esteve Varela Colominas
Modified: 2021-10-31 21:25 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Esteve Varela Colominas 2021-05-31 18:54:21 UTC
New upstream: https://github.com/go-enry/go-license-detector

From the old upstream (https://github.com/src-d/go-license-detector):
    WE CONTINUE THE DEVELOPMENT AT go-enry/go-license-detector. This repository is abandoned, and no further updates will be done on the code base, nor issue/prs will be answered or attended.

Changelog:

v4.2.0

@bzz bzz released this on Apr 22

    Data races in licensedb.Detect() fixed, thanks to synchronisation added by @g4s8 in #9
    Dependency version of golang.org/x/text and a licensedb bindata updated by @karlmutch #6
    Lint CI profile green_circle again (but Win build is still failing) #12

v4.1.1

@bzz bzz released this on Apr 1

Existing API filer.FromGitURL() does a shallow clone now, by @mx-psi in #7

v4.1.0

@bzz bzz released this on Mar 6

New API licensedb.InvestigateLicenseText() exposed by @ninnymuggins97.
This method takes a license text and returns the most probable reference licenses matched \w confidence.

v4.0.0

@mcuadros mcuadros released this on May 31, 2020

The v4.0.0 is a drop-in replacement of v3.1.0, the change of URL forces the mayor update.
Comment 1 Esteve Varela Colominas 2021-10-31 21:25:39 UTC
New version: v4.3.0

https://github.com/go-enry/go-license-detector/releases/tag/v4.3.0

@bzz bzz released this Jul 06, 2021

    licensedb.Preload() added by @g4s8 in #14